#!/bin/bash

echo "Starting NAO import GST Pipeline"

# very disruptive; don't use: ! audiorate tolerance=1000

gst-launch-0.10											\
  audiotestsrc do-timestamp=FALSE								\
  ! rsb_nao_audio_import pubName="/nao/audio/all"						\
  ! queue											\
  ! "audio/x-raw-int", channels=2, width=16, depth=16, signed=TRUE, rate=48000, endianess=4321	\
  ! audiorate											\
  ! mux. videotestsrc do-timestamp=FALSE							\
  ! rsb_nao_video_import pubName="/nao/vision/top"						\
  ! queue											\
  ! tee name="preview" ! queue ! xvimagesink preview.							\
  ! videorate											\
  ! 'video/x-raw-yuv,width=320,height=240,framerate=20/1'					\
  ! mux. avimux name="mux"									\
  ! filesink location="/tmp/bla.avi"								\
